# FairMQ: StateSubscription Struct Reference

StateSubscription Struct Reference
Collaboration diagram for StateSubscription:
[legend]

## Public Member Functions

| StateSubscription (const string &id, fair::mq::StateMachine &stateMachine, fair::mq::StateQueue &stateQueue)
| StateSubscription (pmix::Commands &commands)

## Public Attributes

fair::mq::StateMachine & | fStateMachine
fair::mq::StateQueue & | fStateQueue
string | fId
pmix::Commands & | fCommands

The documentation for this struct was generated from the following files:

- fairmq/FairMQDevice.cxx
- fairmq/plugins/PMIx/runPMIxCommandUI.cxx

privacy